<?php
/**
* 2015 Skrill
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
*  @author    Skrill <contact@skrill.com>
*  @copyright 2015 Skrill
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of Skrill
*/

class PlacetgroupPaymentReturnModuleFrontController extends ModuleFrontController
{
    public function initContent()
    {
        $status = Tools::getValue('status');
        if($status === 'error') {
            $this->display_column_left = false;
            $this->process();
            if (!isset($this->context->cart)) {
                $this->context->cart = new Cart();
            }
            Tools::redirect(
                $this->context->link->getPageLink('order', true, null, array('step' => '3'))
            );
        } else {

            if ($this->context->cart->id_customer == 0 || $this->context->cart->id_address_delivery == 0 || $this->context->cart->id_address_invoice == 0 || !$this->module->active) {
                Tools::redirectLink(__PS_BASE_URI__.'order.php?step=1');
            }

            // Check that this payment option is still available in case the customer changed his address just before the end of the checkout process
            $authorized = false;
            /*foreach (Module::getPaymentModules() as $module) {
                if ($module['name'] == 'ps_cashondelivery') {
                    $authorized = true;
                    break;
                }
            }*/
            /*if (!$authorized) {
                die(Tools::displayError('This payment method is not available.'));
            }*/
            $customer = new Customer($this->context->cart->id_customer);
            if (!Validate::isLoadedObject($customer)) {
                Tools::redirectLink(__PS_BASE_URI__.'order.php?step=1');
            }
            $customer = new Customer((int)$this->context->cart->id_customer);
            $total = $this->context->cart->getOrderTotal(true, Cart::BOTH);
            $this->module->validateOrder((int)$this->context->cart->id, Configuration::get('PS_OS_PREPARATION'), $total, $this->module->displayName, null, array(), null, false, $customer->secure_key);
            Tools::redirectLink(__PS_BASE_URI__.'order-confirmation.php?key='.$customer->secure_key.'&id_cart='.(int)$this->context->cart->id.'&id_module='.(int)$this->module->id.'&id_order='.(int)$this->module->currentOrder);
        }
    }
}
